
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 DodgerBlue
#property indicator_color2 DodgerBlue

//
//
//
//
//

extern int    timeFrame       = 0;
extern bool   alertsOn        = true;
extern bool   alertsOnCurrent = true;
extern bool   alertsMessage   = true;
extern bool   alertsSound     = true;
extern bool   alertsNotify    = false;
extern bool   alertsEmail     = false;
extern string soundfile       = "alert2.wav";

//
//
//
//
//

double HiBuff[];
double LoBuff[];
double trend[];

//
//
//
//
//
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//

int init()
{
   IndicatorBuffers(3);
   SetIndexBuffer(0,HiBuff);
   SetIndexBuffer(1,LoBuff);
   SetIndexBuffer(2,trend);
   
   IndicatorShortName("Prev Hi-Lo levels");
return(0);
}
   
//
//
//
//
//

int deinit() {  return(0);}

//
//
//
//                           
//
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//

int start()
{
   int counted_bars  = IndicatorCounted(); 
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
          int limit=MathMax(Bars-counted_bars,3*timeFrame/Period());
   
   //
   //
   //
   //
   //
   
   for (int i = limit; i >= 0; i--)
   {
      int y = iBarShift(NULL,timeFrame,Time[i]);
         HiBuff[i] = iHigh(NULL,timeFrame,y); 
         LoBuff[i] =  iLow(NULL,timeFrame,y);
         trend[i]  = trend[i+1];
         if (Close[i]>HiBuff[i+1]) trend[i] = 1;
         if (Close[i]<LoBuff[i+1]) trend[i] =-1;
     }
     
     //
     //
     //
     //
     //
      
     if (alertsOn)
     {
       if (alertsOnCurrent)
            int whichBar = 0;
       else     whichBar = 1;
       if (trend[whichBar] != trend[whichBar+1])
       if (trend[whichBar] == 1)
             doAlert("up candle");
       else  doAlert("down candle");       
    }
return(0);
}

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

void doAlert(string doWhat)
{
   static string   previousAlert="nothing";
   static datetime previousTime;
   string message;
   
      if (previousAlert != doWhat || previousTime != Time[0]) {
          previousAlert  = doWhat;
          previousTime   = Time[0];

          //
          //
          //
          //
          //

          message =  StringConcatenate(Symbol()," at ",TimeToStr(TimeLocal(),TIME_SECONDS)," - ",timeFrame+" HighLow ",doWhat);
             if (alertsMessage) Alert(message);
             if (alertsNotify)  SendNotification(message);
             if (alertsEmail)   SendMail(StringConcatenate(Symbol()," HighLow "),message);
             if (alertsSound)   PlaySound(soundfile);
      }
}
           